<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}

	if ( ! class_exists( 'ZLEADSCRM_PROSPECT_Core_Leads_Result' ) ) {
		require_once( ZLEADSCRM_PROSPECT_PLUGIN_DIR . 'helper/class-zleadscrm-core-leads-result.php' );
	}

	class ZLEADSCRM_EXPORT_Core_Leads_Result extends ZLEADSCRM_PROSPECT_Core_Leads_Result {
		public function __construct( $query_params ) {
			parent::__construct( $query_params );
		}

		public function get_export_data() {
			global $wpdb;
			$table_name   = $wpdb->prefix . 'zleadscrm_leads_results';
			$current_user = get_current_user_id();

			$total_items = $wpdb->get_results( "SELECT * FROM $table_name WHERE user_id=$current_user ORDER BY timestamp ASC;" );
			if ( $total_items ) {
				$r = 'Business Name, Business Type, Phone, Website, Address';
				$r .= "\r\n";

				foreach ( $total_items as $result ) {

					$r .= str_replace( '#', 'no. ', $result->business_name ) . ',';
					$o = '';
					if ( is_array( $result->business_type ) ) {
						foreach ( $result->business_type as $btype ) {
							$o .= ucfirst( str_replace( '_', ' ', $btype ) ) . ';';
						}
					} else {
						$o .= $result->business_type;
					}
					$r .= $o . ',';
					$r .= str_replace( '#', '', $result->phone ) . ',';
					$r .= str_replace( '#', '', $result->website ) . ',';
					$r .= str_replace( '#', 'no. ', $result->address ) . ',';
					$r .= "\r\n";
				}

				return $r;
			}

			return null;
		}
	}

?>